#include "irled.h"
#include "mbed.h"

void IrLed::calibrateSensor() {

    for (int i = 0; i < samplesToTake; ++i) 
        sensorAvg += ir.read();
        
    sensorAvg /= samplesToTake;
}

float IrLed::getSamples( int samples )
{
    float z = 0;
    for( int i = 0; i < samples; ++i )
        z += ir.read();
    return z / samples;
}

float IrLed::blinkLED( int i )
{
    return 0.0;
}

/*
inline float IrLED::blinkLED( int i, int samples )
{
    float z = 0;
    if( i == 1 )
    {
        IR_LED1.write(1);
        for( int j = 0; j < samples; j++ )
            z += IR_Sensor1.read();
        IR_LED1.write(0);
    }
    if( i == 2 )
    {
        IR_LED2.write(1);
        for( int j = 0; j < samples; j++ )
            z += IR_Sensor2.read();
        IR_LED2.write(0);
    }
    if( i == 3 )
    {
        IR_LED3.write(1);   
        for( int j = 0; j < samples; j++ )
            z += IR_Sensor3.read();
        IR_LED4.write(0);
    }
    if( i == 4 )
    {
        IR_LED4.write(1);
        for( int j = 0; j < samples; j++ )
            z += IR_Sensor4.read();
        IR_LED4.write(0);
    }
    if( DEBUGGING )
        serial.println( "Sample by IR %d: %f\n", i, z );
    return z / samples;
}*/