#ifndef IRLED_H
#define IRLED_H

#include "mbed.h"

#define samplesToTake 1000

class IrLed
{
    public:
        IrLed( PinName pin ) : ir( pin ) 
        {
            calibrateSensor();
        }
        
        float getSamples( int i );
        
    private:
        void calibrateSensor();
        
        // internal values
        DigitalOut ir;
        float sensorAvg;
};



#endif